Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP DELETE

DELETE batch/outbounds

Ostatnia modyfikacja 2026-05-28 13:55:29
Usuwanie wielu kampanii wraz ze wszystkimi rekordami.

URL

https://your-system-name.thulium.com/api/batch/outbounds

Parametry

id[]

wymagany

Pięcioznakowy identyfikator kampanii. Przykładowa wartość: 00001
delete_recordings

opcjonalny

Flaga, która określa, czy nagrania mają zostać usunięte. Domyślnie wyłączona. Przykładowa wartość: true

Uwagi

Kampania oraz nagrania nie są usuwane natychmiast, tylko dodawane do kolejki do usunięcia. Usunięcie wszystkich rekordów i nagrań może potrwać do kilku godzin.
Możliwe statusy odpowiedzi:
  • REMOVAL_QUEUED - kampania dodana do kolejki
  • NOT_EXIST - kampania nie istnieje
  • ALREADY_QUEUED - kampania była wcześniej dodana do kolejki

Przykładowy request

DELETE https://your-system-name.thulium.com/api/batch/outbounds?id[]=00001&id[]=00002&id[]=00003&delete_recordings=true

Przykładowy response

[
    {
        "http_status": 200,
        "id": "00001",
        "status": "REMOVAL_QUEUED"
    },
    {
        "http_status": 404,
        "id": "00002",
        "status": "NOT_EXIST"
    },
    {
        "http_status": 400,
        "id": "00003",
        "status": "ALREADY_QUEUED"
    }
]

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/batch/outbounds?id[]=00001&id[]=00002&id[]=00003&delete_recordings=true');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.delete("https://your-system-name.thulium.com/api/batch/outbounds?id[]=00001&id[]=00002&id[]=00003&delete_recordings=true");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X DELETE -H "Accept: application/json" "https://your-system-name.thulium.com/api/batch/outbounds?id[]=00001&id[]=00002&id[]=00003&delete_recordings=true"

HTTPie
http -a api_user:api_pass DELETE https://your-system-name.thulium.com/api/batch/outbounds id[]==00001 id[]==00002 id[]==00003 delete_recordings==true Accept:application/json